Bug 154267 - [maintainer-update] upgrade biology/fasta3 to v36, fix fetch issue
Summary: [maintainer-update] upgrade biology/fasta3 to v36, fix fetch issue
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beat Gaetzi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-24 15:30 UTC by Fernan Aguero
Modified: 2011-01-26 20:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2011-01-24 15:30:13 UTC
	<precise description of the problem (multiple lines)>
	
	FASTA is reportedly broken, as the old distfiles have been
	removed from upstream sources.
	http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-errorlogs/a.7.4-release.20110113192327.pointyhat-west/fasta3-35.4.9.log

	Upgrade FASTA to latest v.36, and fix the fetch issue

Fix: <how to correct or work around the problem, if known (multiple lines)>





--0003255763fe784d3e049a98d5d1
Content-Type: text/x-patch; charset=US-ASCII; name="fasta3.diff"
Content-Disposition: attachment; filename="fasta3.diff"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_gjbi3uoe0
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--0003255763fe784d3e049a98d5d1----OdeerfKmf0si3CckUaO6YyhtaQRxjAgaMdbrMSIjpy08A8rX
Content-Type: text/plain; name="fasta3.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="fasta3.diff"

diff --exclude CVS -u /usr/ports/biology/fasta3/Makefile fasta3/Makefile
--- /usr/ports/biology/fasta3/Makefile	2009-08-23 12:47:37.000000000 -0300
+++ fasta3/Makefile	2011-01-21 18:15:44.000000000 -0300
@@ -7,9 +7,9 @@
 #

 PORTNAME=	fasta3
-PORTVERSION=	35.4.9
+PORTVERSION=	36.3.2
 CATEGORIES=	biology
-MASTER_SITES=	http://faculty.virginia.edu/wrpearson/fasta/fasta3/
+MASTER_SITES=	http://faculty.virginia.edu/wrpearson/fasta/fasta36/
 DISTNAME=	fasta-${PORTVERSION}

 MAINTAINER=	fernan@iib.unsam.edu.ar
@@ -34,12 +34,12 @@
 DATA=		data/*.mat
 EXAMPLES=	seq/*.aa seq/*.lc seq/*.seq seq/*.lib

-MAN1=		fasta35.1 map_db.1 ps_lav.1 pvcomp.1
-MLINKS=		fasta35.1 tfasta35.1 fasta35.1 fastx35.1 fasta35.1 tfastx35.1  \
-		fasta35.1 fasty35.1  fasta35.1 tfasty35.1 fasta35.1 ssearch35.1 \
-		fasta35.1 fastf35.1 fasta35.1 fasts35.1 fasta35.1 tfasts35.1 \
-		fasta35.1 fastm35.1 fasta35.1 tfastf35.1 fasta35.1 ggsearch35.1 \
-		fasta35.1 lalign35.1 fasta35.1 prss35.1 fasta35.1 prfx35.1
+MAN1=		fasta36.1 fastf3.1 fasts3.1 prss3.1 map_db.1 ps_lav.1
+MLINKS=		fasta36.1 tfasta35.1 fasta36.1 fastx35.1 fasta36.1 tfastx35.1  \
+		fasta36.1 fasty35.1  fasta36.1 tfasty35.1 fasta36.1 ssearch35.1 \
+		fasta36.1 fastf35.1 fasta36.1 fasts35.1 fasta36.1 tfasts35.1 \
+		fasta36.1 fastm35.1 fasta36.1 tfastf35.1 fasta36.1 ggsearch35.1 \
+		fasta36.1 lalign35.1 fasta36.1 prss35.1 fasta36.1 prfx35.1
 PLIST_SUB=	VER=${PORTVERSION:R:R}

 post-patch:
diff --exclude CVS -u /usr/ports/biology/fasta3/distinfo fasta3/distinfo
--- /usr/ports/biology/fasta3/distinfo	2009-08-23 12:47:37.000000000 -0300
+++ fasta3/distinfo	2011-01-21 18:03:08.000000000 -0300
@@ -1,3 +1,2 @@
-MD5 (fasta-35.4.9.tar.gz) = 6bf19b771f2c64287b7713864b9f0a69
-SHA256 (fasta-35.4.9.tar.gz) =
4beaed42557572a1c8e5480e93641af175fa43c545f75c4bf06db62dced6bd39
-SIZE (fasta-35.4.9.tar.gz) = 630748
+SHA256 (fasta-36.3.2.tar.gz) =
1eddb7dac3a52311d43bac854b2153c13aa23cbb163952c9e385a75aa2b9e446
+SIZE (fasta-36.3.2.tar.gz) = 711876
Common subdirectories: /usr/ports/biology/fasta3/files and fasta3/files
diff --exclude CVS -u /usr/ports/biology/fasta3/pkg-plist fasta3/pkg-plist
--- /usr/ports/biology/fasta3/pkg-plist	2009-06-09 04:53:37.000000000 -0300
+++ fasta3/pkg-plist	2011-01-21 18:26:39.000000000 -0300
@@ -17,7 +17,6 @@
 bin/lalign%%VER%%
 bin/lav2ps
 bin/lav2svg
-bin/list_db
 bin/map_db
 bin/ssearch%%VER%%
 bin/ssearch%%VER%%_t
@@ -39,10 +38,6 @@
 %%PORTDOCS%%%%DOCSDIR%%/fasta3x.doc
 %%PORTDOCS%%%%DOCSDIR%%/fasta20.doc
 %%PORTDOCS%%%%DOCSDIR%%/fasta_func.doc
-%%PORTDOCS%%%%DOCSDIR%%/readme.mpi_3.3
-%%PORTDOCS%%%%DOCSDIR%%/readme.pvm_3.2
-%%PORTDOCS%%%%DOCSDIR%%/readme.pvm_3.3
-%%PORTDOCS%%%%DOCSDIR%%/readme.pvm_3.4
 %%PORTDOCS%%%%DOCSDIR%%/readme.v30
 %%PORTDOCS%%%%DOCSDIR%%/readme.v30t6
 %%PORTDOCS%%%%DOCSDIR%%/readme.v30t7
@@ -52,12 +47,14 @@
 %%PORTDOCS%%%%DOCSDIR%%/readme.v33t0
 %%PORTDOCS%%%%DOCSDIR%%/readme.v34t0
 %%PORTDOCS%%%%DOCSDIR%%/readme.v35
+%%PORTDOCS%%%%DOCSDIR%%/readme.v36
 %%PORTDOCS%%%%DOCSDIR%%/readme.w32
 %%PORTDOCS%%%%DOCSDIR%%/fasta.defaults
 %%PORTDOCS%%%%DOCSDIR%%/fasta.options
 %%PORTDOCS%%%%DOCSDIR%%/fasta_versions.html
 %%PORTDOCS%%%%DOCSDIR%%/changes_v34.html
 %%PORTDOCS%%%%DOCSDIR%%/changes_v35.html
+%%PORTDOCS%%%%DOCSDIR%%/changes_v36.html
 %%EXAMPLESDIR%%/egmsmg.aa
 %%EXAMPLESDIR%%/gstt1_drome.aa
 %%EXAMPLESDIR%%/gtm1_human.aa
@@ -95,6 +92,7 @@
 %%EXAMPLESDIR%%/hsgstm1b.seq
 %%EXAMPLESDIR%%/humgstd.seq
 %%EXAMPLESDIR%%/mgstm1.seq
+%%EXAMPLESDIR%%/mgstm1_genclone.seq
 %%EXAMPLESDIR%%/mgtt2_x.seq
 %%EXAMPLESDIR%%/titin_hum.seq
 %%EXAMPLESDIR%%/mu.lib
How-To-Repeat: 	<code/input/activities to reproduce the problem (multiple lines)>
Comment 1 Edwin Groothuis freebsd_committer 2011-01-24 15:31:32 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-01-24 15:31:36 UTC
Maintainer of biology/fasta3,

Please note that PR ports/154267 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154267

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-01-24 15:31:39 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Fernan Aguero 2011-01-24 16:29:22 UTC
On Mon, Jan 24, 2011 at 12:31 PM, Edwin Groothuis <edwin@freebsd.org> wrote=
:
> Maintainer of biology/fasta3,
>
> Please note that PR ports/154267 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/154267

It was me that submitted the patch, from a different email address. Sorry.

Approved, thanks!

--=20
fernan
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2011-01-25 08:26:37 UTC
State Changed
From-To: feedback->open

Submitter is maintainer from another address.
Comment 6 Beat Gaetzi freebsd_committer 2011-01-26 20:15:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beat

I'll take it.
Comment 7 dfilter service freebsd_committer 2011-01-26 20:26:42 UTC
beat        2011-01-26 20:26:36 UTC

  FreeBSD ports repository

  Modified files:
    biology/fasta3       Makefile distinfo pkg-plist 
  Log:
  - Update to 36.3.2 to fix distfile fetching on pointyhat
  
  PR:             ports/154267
  Submitted by:   Fernan Aguero <fernan AT iib.unsam.edu.ar> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.27      +8 -8      ports/biology/fasta3/Makefile
  1.22      +2 -3      ports/biology/fasta3/distinfo
  1.8       +3 -5      ports/biology/fasta3/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Beat Gaetzi freebsd_committer 2011-01-26 20:27:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!